package body MSHTML.HTMLDocumentEvents2_Events is

   procedure Invoke
     (dispidMember : in Interfaces.C.long;
      wFlags       : in Interfaces.C.unsigned_short;
      pdispparams  : in GNATCOM.Types.Pointer_To_DISPPARAMS;
      Event_Object : in GNATCOM.Events.Event_Object.Event_Pointer)
   is
      use type Interfaces.C.long;
   begin
      case dispidMember is
         when HTMLDocumentEvents2_onhelp=>
            onhelp
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onclick=>
            onclick
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_ondblclick=>
            ondblclick
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onkeydown=>
            onkeydown
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onkeyup=>
            onkeyup
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onkeypress=>
            onkeypress
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onmousedown=>
            onmousedown
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onmousemove=>
            onmousemove
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onmouseup=>
            onmouseup
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onmouseout=>
            onmouseout
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onmouseover=>
            onmouseover
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onreadystatechange=>
            onreadystatechange
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onbeforeupdate=>
            onbeforeupdate
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onafterupdate=>
            onafterupdate
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onrowexit=>
            onrowexit
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onrowenter=>
            onrowenter
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_ondragstart=>
            ondragstart
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onselectstart=>
            onselectstart
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onerrorupdate=>
            onerrorupdate
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_oncontextmenu=>
            oncontextmenu
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onstop=>
            onstop
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onrowsdelete=>
            onrowsdelete
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onrowsinserted=>
            onrowsinserted
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_oncellchange=>
            oncellchange
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onpropertychange=>
            onpropertychange
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_ondatasetchanged=>
            ondatasetchanged
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_ondataavailable=>
            ondataavailable
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_ondatasetcomplete=>
            ondatasetcomplete
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onbeforeeditfocus=>
            onbeforeeditfocus
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onselectionchange=>
            onselectionchange
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_oncontrolselect=>
            oncontrolselect
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onmousewheel=>
            onmousewheel
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onfocusin=>
            onfocusin
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onfocusout=>
            onfocusout
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onactivate=>
            onactivate
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_ondeactivate=>
            ondeactivate
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onbeforeactivate=>
            onbeforeactivate
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when HTMLDocumentEvents2_onbeforedeactivate=>
            onbeforedeactivate
              (HTMLDocumentEvents2_Event'Class (Event_Object.all),
               pdispparams.rgvarg (0));
         when others =>
            null;
      end case;
   end Invoke;

   function Create (From : in GNATCOM.Events.Event_Object.Event_Pointer)
     return GNATCOM.Create.COM_Interface.Pointer_To_COM_Interface_Type
   is
   begin
      return GNATCOM.Events.Event_Object.Create
        (Invoke'Access,
         IID_HTMLDocumentEvents2,
         From);
   end Create;

   procedure Set_Events
     (This            : in out GNATCOM.Events.IConnectionPoint_Type;
      For_Object      : in     GNATCOM.IInterface.Interface_Type'Class;
      Event_Interface :
        access GNATCOM.Create.COM_Interface.COM_Interface_Type;
      Free            : Boolean := True)
   is
   begin
      GNATCOM.Events.Set_Events
        (This,
         For_Object,
         IID_HTMLDocumentEvents2,
         Event_Interface,
         Free);
   end Set_Events;

   procedure onhelp
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onhelp;

   procedure onclick
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onclick;

   procedure ondblclick
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end ondblclick;

   procedure onkeydown
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onkeydown;

   procedure onkeyup
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onkeyup;

   procedure onkeypress
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onkeypress;

   procedure onmousedown
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onmousedown;

   procedure onmousemove
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onmousemove;

   procedure onmouseup
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onmouseup;

   procedure onmouseout
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onmouseout;

   procedure onmouseover
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onmouseover;

   procedure onreadystatechange
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onreadystatechange;

   procedure onbeforeupdate
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onbeforeupdate;

   procedure onafterupdate
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onafterupdate;

   procedure onrowexit
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onrowexit;

   procedure onrowenter
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onrowenter;

   procedure ondragstart
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end ondragstart;

   procedure onselectstart
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onselectstart;

   procedure onerrorupdate
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onerrorupdate;

   procedure oncontextmenu
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end oncontextmenu;

   procedure onstop
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onstop;

   procedure onrowsdelete
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onrowsdelete;

   procedure onrowsinserted
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onrowsinserted;

   procedure oncellchange
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end oncellchange;

   procedure onpropertychange
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onpropertychange;

   procedure ondatasetchanged
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end ondatasetchanged;

   procedure ondataavailable
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end ondataavailable;

   procedure ondatasetcomplete
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end ondatasetcomplete;

   procedure onbeforeeditfocus
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onbeforeeditfocus;

   procedure onselectionchange
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onselectionchange;

   procedure oncontrolselect
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end oncontrolselect;

   procedure onmousewheel
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onmousewheel;

   procedure onfocusin
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onfocusin;

   procedure onfocusout
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onfocusout;

   procedure onactivate
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onactivate;

   procedure ondeactivate
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end ondeactivate;

   procedure onbeforeactivate
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onbeforeactivate;

   procedure onbeforedeactivate
     (This    : HTMLDocumentEvents2_Event;
      pEvtObj : GNATCOM.Types.VARIANT)
   is
   begin
      null;
   end onbeforedeactivate;

end MSHTML.HTMLDocumentEvents2_Events;

